## wl-beta 2.11.30+0.20040810

=== Makefile ===
#
# Please specify your Emacs here.
#
EMACS	= emacs
# To install Wanderlust for XEmacs 21 or later,
# running 'make install-package' is recommended.
# 'make install-package' refers $XEMACS instead of $EMACS.
XEMACS  = xemacs
#
# Target directory to install the Wanderlust package.
# (Automatically detected if this line is unchanged.)
#
LISPDIR = NONE
#LISPDIR = /usr/local/lib/mule/site-lisp

INFODIR = NONE
#INFODIR = /usr/local/share/info

# For XEmacs package.
PACKAGEDIR = NONE

# For XEmacs or Emacs 21: directory where icon files should go.
PIXMAPDIR = NONE


################# No need to modify following lines ####################
BATCHFLAG = -batch
FLAGS     = $(BATCHFLAG) -q -no-site-file

elc:
	$(EMACS) $(FLAGS) -l WL-MK -f compile-wl-package $(LISPDIR) $(PIXMAPDIR)

check:
	$(EMACS) $(BATCHFLAG) -l WL-MK -f check-wl $(LISPDIR) $(PIXMAPDIR)

test:
	$(EMACS) $(FLAGS) -l WL-MK -f test-wl $(LISPDIR) $(PIXMAPDIR)

update-version:
	$(EMACS) $(FLAGS) -l WL-MK -f update-version $(LISPDIR) $(PIXMAPDIR)

install-elc:
	$(EMACS) $(FLAGS) -l WL-MK -f install-wl-package $(LISPDIR) $(PIXMAPDIR)

uninstall-elc:
	$(EMACS) $(FLAGS) -l WL-MK -f uninstall-wl-package $(LISPDIR) $(PIXMAPDIR)

clean-elc:
	rm -f wl/*.elc wl/*~ wl/auto-autoloads.el wl/custom-load.el wl/wl-news.el elmo/*.elc utils/*.elc utils/hmac/lisp/*.elc

package:
	$(XEMACS) $(FLAGS) -l WL-MK -f compile-wl-package-xmas $(PACKAGEDIR) $(PIXMAPDIR)

install-package:
	$(XEMACS) $(FLAGS) -l WL-MK -f install-wl-package-xmas $(PACKAGEDIR) $(PIXMAPDIR)

info:
	$(EMACS) $(FLAGS) -l WL-MK -f wl-texinfo-format $(INFODIR)

install-info:
	$(EMACS) $(FLAGS) -l WL-MK -f install-wl-info $(INFODIR)

mostlyclean-info:
	rm -f doc/*~ doc/*.cp doc/*.fn doc/*.ky doc/*.pg doc/*.tp doc/*.vr doc/*.cps doc/*.fns doc/*.kys doc/*.pgs doc/*.tps doc/*.vrs

clean-info: mostlyclean-info
	rm -f doc/*.info doc/*.info-*

mostlyclean-dvi:
	rm -f doc/*~ doc/*.aux doc/*.log doc/*.toc

clean-dvi: mostlyclean-dvi
	rm -f doc/*.dvi

all: elc

install: install-elc

uninstall: uninstall-elc

mostlyclean: clean-elc mostlyclean-info mostlyclean-dvi

clean: mostlyclean clean-dvi

distclean: maintainer-clean

maintainer-clean: clean clean-info

## wl-beta 2.15.5+0.20071110

=== Makefile ===
--- 
+++ 
@@ -28,31 +28,67 @@
 FLAGS     = $(BATCHFLAG) -q -no-site-file
 
 elc:
-	$(EMACS) $(FLAGS) -l WL-MK -f compile-wl-package $(LISPDIR) $(PIXMAPDIR)
+	$(EMACS) $(FLAGS) -l WL-MK -f compile-wl-package \
+		$(LISPDIR) $(PIXMAPDIR)
 
 check:
-	$(EMACS) $(BATCHFLAG) -l WL-MK -f check-wl $(LISPDIR) $(PIXMAPDIR)
+	$(EMACS) $(BATCHFLAG) -l WL-MK -f check-wl \
+		$(LISPDIR) $(PIXMAPDIR)
 
 test:
-	$(EMACS) $(FLAGS) -l WL-MK -f test-wl $(LISPDIR) $(PIXMAPDIR)
+	$(EMACS) $(FLAGS) -l WL-MK -f test-wl \
+		$(LISPDIR) $(PIXMAPDIR)
 
 update-version:
-	$(EMACS) $(FLAGS) -l WL-MK -f update-version $(LISPDIR) $(PIXMAPDIR)
+	$(EMACS) $(FLAGS) -l WL-MK -f update-version \
+		$(LISPDIR) $(PIXMAPDIR)
+
+compile-strict: clean-elc
+	@args="$(FLAGS)";\
+	args="$$args -L elmo -L wl";\
+	echo "=============================================";\
+	echo "Compiling the 1st stage-----without elc files";\
+	echo "=============================================";\
+	for i in `$(EMACS) $(FLAGS) -l WL-MK -f wl-examine-modules 2>/dev/null`;\
+	  do\
+	  j=`echo $$i| sed 's/elc$$/el/g'`;\
+	  echo "$(EMACS) ARGS -f batch-byte-compile $$j";\
+	  $(EMACS) $$args -f batch-byte-compile $$j;\
+	  mv $$i $$j"x";\
+	done;\
+	for i in `echo elmo/*.elx wl/*.elx utils/*.elx`; do\
+	  j=`echo $$i| sed 's/elx$$/elc/g'`;\
+	  mv $$i $$j;\
+	done;\
+	echo "==============================================";\
+	echo "Compiling the 2nd stage-----with all elc files";\
+	echo "==============================================";\
+	for i in `$(EMACS) $(FLAGS) -l WL-MK -f wl-examine-modules 2>/dev/null`;\
+	  do\
+	  j=`echo $$i| sed 's/elc$$/el/g'`;\
+	  echo "$(EMACS) ARGS -f batch-byte-compile $$j";\
+	  $(EMACS) $$args -f batch-byte-compile $$j;\
+	done
 
 install-elc:
-	$(EMACS) $(FLAGS) -l WL-MK -f install-wl-package $(LISPDIR) $(PIXMAPDIR)
+	$(EMACS) $(FLAGS) -l WL-MK -f install-wl-package \
+		$(LISPDIR) $(PIXMAPDIR)
 
 uninstall-elc:
-	$(EMACS) $(FLAGS) -l WL-MK -f uninstall-wl-package $(LISPDIR) $(PIXMAPDIR)
+	$(EMACS) $(FLAGS) -l WL-MK -f uninstall-wl-package \
+		$(LISPDIR) $(PIXMAPDIR)
 
 clean-elc:
-	rm -f wl/*.elc wl/*~ wl/auto-autoloads.el wl/custom-load.el wl/wl-news.el elmo/*.elc utils/*.elc utils/hmac/lisp/*.elc
+	rm -f wl/*.elc wl/*~ wl/auto-autoloads.el wl/custom-load.el \
+		wl/wl-news.el elmo/*.elc utils/*.elc utils/hmac/lisp/*.elc
 
 package:
-	$(XEMACS) $(FLAGS) -l WL-MK -f compile-wl-package-xmas $(PACKAGEDIR) $(PIXMAPDIR)
+	$(XEMACS) $(FLAGS) -l WL-MK -f compile-wl-package-xmas \
+		$(PACKAGEDIR) $(PIXMAPDIR)
 
 install-package:
-	$(XEMACS) $(FLAGS) -l WL-MK -f install-wl-package-xmas $(PACKAGEDIR) $(PIXMAPDIR)
+	$(XEMACS) $(FLAGS) -l WL-MK -f install-wl-package-xmas \
+		$(PACKAGEDIR) $(PIXMAPDIR)
 
 info:
 	$(EMACS) $(FLAGS) -l WL-MK -f wl-texinfo-format $(INFODIR)
@@ -61,7 +97,8 @@
 	$(EMACS) $(FLAGS) -l WL-MK -f install-wl-info $(INFODIR)
 
 mostlyclean-info:
-	rm -f doc/*~ doc/*.cp doc/*.fn doc/*.ky doc/*.pg doc/*.tp doc/*.vr doc/*.cps doc/*.fns doc/*.kys doc/*.pgs doc/*.tps doc/*.vrs
+	rm -f doc/*~ doc/*.cp doc/*.fn doc/*.ky doc/*.pg doc/*.tp doc/*.vr \
+		doc/*.cps doc/*.fns doc/*.kys doc/*.pgs doc/*.tps doc/*.vrs
 
 clean-info: mostlyclean-info
 	rm -f doc/*.info doc/*.info-*

## wl-beta 2.15.6+0.20080422

=== Makefile ===
--- 
+++ 
@@ -80,7 +80,8 @@
 
 clean-elc:
 	rm -f wl/*.elc wl/*~ wl/auto-autoloads.el wl/custom-load.el \
-		wl/wl-news.el elmo/*.elc utils/*.elc utils/hmac/lisp/*.elc
+		wl/wl-news.el elmo/*.elc utils/*.elc \
+		wl/*.elx elmo/*.elx utils/*.elx
 
 package:
 	$(XEMACS) $(FLAGS) -l WL-MK -f compile-wl-package-xmas \

## wl-beta 2.15.9%2B0.20130701

=== debian/changelog ===
wl-beta (2.15.9+0.20130701-4) unstable; urgency=medium

  * Update 10_ikazuhiro.patch, sync on 2014-01-20

 -- Tatsuya Kinoshita <tats@debian.org>  Sun, 26 Jan 2014 19:58:10 +0900

wl-beta (2.15.9+0.20130701-3) unstable; urgency=medium

  * New patch 10_ikazuhiro.patch to sync ikazuhiro branch
  * Update README.Debian to mention gnutls.el is used for emacs24
  * Update debian/copyright

 -- Tatsuya Kinoshita <tats@debian.org>  Sat, 11 Jan 2014 00:47:55 +0900

wl-beta (2.15.9+0.20130701-2) unstable; urgency=low

  * Workaround for emacsen-common <2 and debhelper <9.20131104
  * Do not byte-compile for emacs22|emacs21|emacs20
  * Use dpkg-maintscript-helper to remove obsolete conffile
  * Update Standards-Version to 3.9.5

 -- Tatsuya Kinoshita <tats@debian.org>  Mon, 09 Dec 2013 22:09:08 +0900

wl-beta (2.15.9+0.20130701-1) unstable; urgency=low

  * Imported Upstream version 2.15.9+0.20130701
  * Remove 10_ikazuhiro-branch.patch (merged upstream)

 -- Tatsuya Kinoshita <tats@debian.org>  Fri, 05 Jul 2013 19:24:47 +0900

wl-beta (2.15.9+0.20120923-2) unstable; urgency=low

  * New patch 10_ikazuhiro-branch.patch
  * Remove 10_elmo-intern-soft.patch (merged ikazuhiro's branch)
  * Update debian/copyright
  * Add Vcs-Git and Vcs-Browser

 -- Tatsuya Kinoshita <tats@debian.org>  Sat, 22 Jun 2013 20:01:25 +0900

wl-beta (2.15.9+0.20120923-1) unstable; urgency=low

  * Imported Upstream version 2.15.9+0.20120923
  * Update debian/docs to install README.md
  * Add emacs24 to Build-Depends-Indep
  * Switch Homepage from gohome.org to github.com
  * Update Standards-Version to 3.9.4
  * Update debian/watch
  * debian/copyright: Updated

 -- Tatsuya Kinoshita <tats@debian.org>  Tue, 07 May 2013 21:03:48 +0900

wl-beta (2.15.9+0.20120411-1) unstable; urgency=low

  * New upstream release. (development snapshot on 2012-04-11,
    wanderlust-wanderlust-d807929, downloaded from
    <https://github.com/wanderlust/wanderlust>)
  * debian/copyright:
    - Point to the repository at github.com instead of the official
      repository at cvs.m17n.org which is no longer available.
    - Switch to copyright-format-1.0.
  * debian/control:
    - Don't mention a stable version in Description.
    - Update Standards-Version to 3.9.3.

 -- Tatsuya Kinoshita <tats@debian.org>  Thu, 03 May 2012 23:57:37 +0900

wl-beta (2.15.9+0.20120101-1) unstable; urgency=medium

  * New upstream release. (CVS trunk on 2012-01-01)
  * debian/patches/30_epg-config.patch: Don't use the epg-configuration
    function which causes the creation of "$HOME/.gnupg". (closes: #657131)
  * debian/rules: New targets build-arch and build-indep.
  * debian/copyright: Updated.

 -- Tatsuya Kinoshita <tats@debian.org>  Sun, 12 Feb 2012 10:23:09 +0900

wl-beta (2.15.9+0.20110420-1) unstable; urgency=low

  * New upstream release. (CVS trunk on 2011-04-20)
  * debian/patches/30_elmo-folder-open.patch: Removed. (merged upstream)
  * debian/control: Update Standards-Version to 3.9.2.
  * debian/copyright: Switch to the DEP-5 format.

 -- Tatsuya Kinoshita <tats@debian.org>  Sun, 15 May 2011 19:41:19 +0900

wl-beta (2.15.9+0.20100801-2) unstable; urgency=medium

  * debian/patches/30_elmo-folder-open.patch: Fix that elmo database gets out
    of sync, patch from upstream. (closes: #593396)

 -- Tatsuya Kinoshita <tats@debian.org>  Wed, 18 Aug 2010 07:42:30 +0900

wl-beta (2.15.9+0.20100801-1) unstable; urgency=low

  * New upstream release. (CVS trunk on 2010-08-01)
  * debian/control:
    - Add GNU Emacs flavors to Build-Depends-Indep.
    - Update Standards-Version to 3.9.1.

 -- Tatsuya Kinoshita <tats@debian.org>  Tue, 03 Aug 2010 00:30:59 +0900

wl-beta (2.15.9+0.20100525-3) unstable; urgency=low

  * debian/README.Debian: Add information to customize gnutls-cli options.
    (closes: #584615)
  * debian/emacsen-startup.in: Remove useless configuration of
    ssl-certificate-verification-policy. 

 -- Tatsuya Kinoshita <tats@debian.org>  Sun, 06 Jun 2010 18:28:13 +0900

wl-beta (2.15.9+0.20100525-2) unstable; urgency=low

  * debian/README.Debian: Add information to use the ssl feature.
    (closes: #584302)
  * debian/emacsen-startup.in: Add comment to mention the default value
    of ssl-program-name.
  * debian/patches/20_ssl-cert-info.patch: Use "opsnssl" instead of
    ssl-program-name for ssl-certificate-information.
  * debian/patches: Renumbered.

 -- Tatsuya Kinoshita <tats@debian.org>  Thu, 03 Jun 2010 22:14:27 +0900

wl-beta (2.15.9+0.20100525-1) unstable; urgency=low

  * New upstream release. (CVS trunk on 2010-05-25)
    - Fix that negation (!) doesn't work with "flag" filters.
      (closes: #573726)
  * debian/emacsen-startup.in: Set ssl-program-name and ssl-program-arguments
    to use gnutls-cli instead of openssl s_client. (closes: #294659, #539290)
  * debian/control: Add gnutls-bin to Suggests.

 -- Tatsuya Kinoshita <tats@debian.org>  Wed, 02 Jun 2010 06:53:10 +0900

wl-beta (2.15.9+0.20100303-1) unstable; urgency=low

  * New upstream release. (CVS trunk on 2010-03-03)
  * debian/patches/01elmo-intern-soft.patch: Define elmo-intern-soft to fix
    unknown archiver type.  Patch from [wl:14407] on 2010-03-02 by Katsuyoshi
    Ohara.

 -- Tatsuya Kinoshita <tats@debian.org>  Sun, 07 Mar 2010 00:32:57 +0900

wl-beta (2.15.9+0.20100216-1) unstable; urgency=low

  * New upstream release. (CVS trunk on 2010-02-16)
  * debian/control: Depend on semi (>= 1.14.6+0.20100125).
  * Switch to dpkg-source 3.0 (quilt) format.

 -- Tatsuya Kinoshita <tats@debian.org>  Wed, 24 Feb 2010 20:12:19 +0900

wl-beta (2.15.9+0.20100208-1) unstable; urgency=low

  * New upstream release. (CVS trunk on 2010-02-08)
  * debian/control:
    - Add `dpkg (>= 1.15.4) | install-info' to Depends.
    - Add ${misc:Depends} to Depends.
    - Set Section to lisp.
    - Update Standards-Version to 3.8.4.
  * debian/copyright: Updated.

 -- Tatsuya Kinoshita <tats@debian.org>  Sat, 13 Feb 2010 15:45:54 +0900

wl-beta (2.15.6+0.20090322-1) unstable; urgency=low



## wl-beta 2.15.9%2B0.20190919

=== debian/changelog ===
wl-beta (2.15.9+0.20190919-1) unstable; urgency=medium

  * New upstream version 2.15.9+0.20190919
  * Add the get-orig-source target

 -- Tatsuya Kinoshita <tats@debian.org>  Sun, 22 Sep 2019 20:34:33 +0900

wl-beta (2.15.9+0.20190623-2) unstable; urgency=medium

  * Update debhelper-compat to 12
  * Update Standards-Version to 4.4.0
  * Skip old flavors xemacs20 and xemacs19

 -- Tatsuya Kinoshita <tats@debian.org>  Tue, 16 Jul 2019 22:26:24 +0900

wl-beta (2.15.9+0.20190623-1) unstable; urgency=medium

  * New upstream version 2.15.9+0.20190623
  * Update sample configuration for TLS 1.3

 -- Tatsuya Kinoshita <tats@debian.org>  Sun, 07 Jul 2019 23:14:33 +0900

wl-beta (2.15.9+0.20190205-2) unstable; urgency=medium

  * Update TLS configuration, disable TLS 1.3 for Emacs 26.1
    cf. http://lists.gnu.org/archive/html/help-gnu-emacs/2019-02/msg00204.html

 -- Tatsuya Kinoshita <tats@debian.org>  Thu, 14 Feb 2019 20:59:51 +0900

wl-beta (2.15.9+0.20190205-1) unstable; urgency=medium

  * New upstream version 2.15.9+0.20190205
  * Use maintscript file instead of manual calls to dpkg-maintscript-helper

 -- Tatsuya Kinoshita <tats@debian.org>  Sun, 10 Feb 2019 23:27:52 +0900

wl-beta (2.15.9+0.20190112-1) unstable; urgency=medium

  * New upstream version 2.15.9+0.20190112

 -- Tatsuya Kinoshita <tats@debian.org>  Sun, 13 Jan 2019 00:08:18 +0900

wl-beta (2.15.9+0.20181209-1) unstable; urgency=medium

  * New upstream version 2.15.9+0.20181209
  * Use debhelper-compat 11
  * Update debian/copyright
  * Update Standards-Version to 4.3.0

 -- Tatsuya Kinoshita <tats@debian.org>  Sun, 06 Jan 2019 17:17:08 +0900

wl-beta (2.15.9+0.20181117-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/changelog: Remove trailing whitespaces

  [ Tatsuya Kinoshita ]
  * New upstream version 2.15.9+0.20181117
  * Update Standards-Version to 4.2.1

 -- Tatsuya Kinoshita <tats@debian.org>  Tue, 27 Nov 2018 19:59:32 +0900

wl-beta (2.15.9+0.20180605-1) unstable; urgency=medium

  * New upstream version 2.15.9+0.20180605
  * Reorder debian/patches
  * Fix handling for unversioned emacs flavor
  * Fix handling for xemacs21-mule/nomule
  * Handle symlinks for emacsen-startup
  * Check stamp file so that source file isn't newer
  * Update Standards-Version to 4.2.0

 -- Tatsuya Kinoshita <tats@debian.org>  Wed, 22 Aug 2018 00:02:41 +0900

wl-beta (2.15.9+0.20180526-1) unstable; urgency=medium

  * New upstream version 2.15.9+0.20180526
  * Accept unversioned emacs flavor for emacsen-common 3.0.0
  * Drop workaround for emacsen-common 1.x
  * Update debhelper compat version to 11
  * Update Standards-Version to 4.1.4

 -- Tatsuya Kinoshita <tats@debian.org>  Sun, 03 Jun 2018 18:25:27 +0900

wl-beta (2.15.9+0.20180312-1) unstable; urgency=medium

  * New upstream version 2.15.9+0.20180312
  * Migrate from anonscm.debian.org to salsa.debian.org

 -- Tatsuya Kinoshita <tats@debian.org>  Tue, 13 Mar 2018 21:29:14 +0900

wl-beta (2.15.9+0.20171209-1) unstable; urgency=medium

  * New upstream version 2.15.9+0.20171209
  * Update debhelper compat version to 10
  * Update Priority to optional
  * Update Vcs-Git to https
  * Update debian/copyright
  * Update Standards-Version to 4.1.3

 -- Tatsuya Kinoshita <tats@debian.org>  Sat, 06 Jan 2018 13:32:32 +0900

wl-beta (2.15.9+0.20161228-1) unstable; urgency=medium

  * New upstream version 2.15.9+0.20161228
  * Prefer emacs-nox over emacs
  * Update debian/copyright
  * Drop 70_xemacs.patch (merged upstream)

 -- Tatsuya Kinoshita <tats@debian.org>  Sun, 08 Jan 2017 20:51:40 +0900

wl-beta (2.15.9+0.20160912-3) unstable; urgency=medium

  * Update 70_xemacs.patch to work wl-draft-send-confirm on XEmacs
  * Update debhelper compat version to 9

 -- Tatsuya Kinoshita <tats@debian.org>  Fri, 28 Oct 2016 20:18:26 +0900

wl-beta (2.15.9+0.20160912-2) unstable; urgency=medium

  * New patch 70_xemacs.patch to prevent errors on XEmacs

 -- Tatsuya Kinoshita <tats@debian.org>  Sun, 16 Oct 2016 16:42:05 +0900

wl-beta (2.15.9+0.20160912-1) unstable; urgency=medium

  * Imported Upstream version 2.15.9+0.20160912
  * Accept emacs25

 -- Tatsuya Kinoshita <tats@debian.org>  Sun, 09 Oct 2016 14:13:56 +0900

wl-beta (2.15.9+0.20160430-1) unstable; urgency=medium

  * Imported Upstream version 2.15.9+0.20160430
  * Update Standards-Version to 3.9.8

 -- Tatsuya Kinoshita <tats@debian.org>  Sat, 04 Jun 2016 20:25:31 +0900

wl-beta (2.15.9+0.20160305-1) unstable; urgency=medium

  * Imported Upstream version 2.15.9+0.20160305
  * Update debian/copyright
  * Update Standards-Version to 3.9.7

 -- Tatsuya Kinoshita <tats@debian.org>  Sun, 06 Mar 2016 15:33:12 +0900

wl-beta (2.15.9+0.20151119-1) unstable; urgency=medium

  * Imported Upstream version 2.15.9+0.20151119
  * Update debian/copyright
  * Update Vcs-Browser to https

 -- Tatsuya Kinoshita <tats@debian.org>  Fri, 20 Nov 2015 22:13:59 +0900

wl-beta (2.15.9+0.20150909-1) unstable; urgency=medium

  * Imported Upstream version 2.15.9+0.20150909

 -- Tatsuya Kinoshita <tats@debian.org>  Sat, 12 Sep 2015 01:23:28 +0900

wl-beta (2.15.9+0.20150725-1) unstable; urgency=medium

  * Imported Upstream version 2.15.9+0.20150725

 -- Tatsuya Kinoshita <tats@debian.org>  Sun, 09 Aug 2015 12:34:26 +0900

wl-beta (2.15.9+0.20150526-1) unstable; urgency=medium

  * Imported Upstream version 2.15.9+0.20150526
  * Update debian/copyright

 -- Tatsuya Kinoshita <tats@debian.org>  Wed, 17 Jun 2015 19:42:51 +0900

wl-beta (2.15.9+0.20150308-1) unstable; urgency=medium

  * Imported Upstream version 2.15.9+0.20150308
  * Update debian/copyright
  * Update Vcs-Browser
  * Drop 40_idle-timer.patch
  * Drop 10_docfix.patch

 -- Tatsuya Kinoshita <tats@debian.org>  Sun, 26 Apr 2015 15:01:51 +0900

wl-beta (2.15.9+0.20141019-4) unstable; urgency=medium

  * Update 40_idle-timer.patch from upstream to really fix wl-biff

 -- Tatsuya Kinoshita <tats@debian.org>  Sat, 15 Nov 2014 06:48:02 +0900

wl-beta (2.15.9+0.20141019-3) unstable; urgency=medium



## wl-beta 2.15.9%2B0.20220103

=== debian/control ===
Source: wl-beta
Section: lisp
Priority: optional
Maintainer: Tatsuya Kinoshita <tats@debian.org>
Build-Depends: debhelper-compat (= 13)
Build-Depends-Indep: texinfo
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/debian/wl-beta
Vcs-Git: https://salsa.debian.org/debian/wl-beta.git
Homepage: https://github.com/wanderlust/wanderlust
Rules-Requires-Root: no

Package: wl-beta
Architecture: all
Depends: emacsen-common (>= 2.0.8), emacs-nox | emacs | emacs25 | emacs24 | emacs-snapshot, semi (>= 1.14.6+0.20100125), flim (>= 1:1.14.6), apel (>= 10.7), dpkg (>= 1.15.4) | install-info, ${misc:Depends}
Recommends: ca-certificates
Suggests: gnupg, gnutls-bin, openssl, starttls, x-face-el, w3m-el, bbdb, im, namazu2, maildir-utils, notmuch, bogofilter | bsfilter | spamassassin, mu-cite, mhc
Replaces: wl, wanderlust2
Conflicts: wl, wanderlust2, xbase (<< 3.3.2.3a-2)
Provides: wl, imap-client, mail-reader, news-reader
Description: mail/news reader supporting IMAP for emacsen (development version)
 Wanderlust is a mail/news management system on emacsen.  It supports
 IMAP4rev1 (RFC2060), NNTP, POP and local message files.
 .
 The main features of Wanderlust:
 .
  - Pure elisp implementation.
  - Supports IMAP4rev1, NNTP, POP (POP3/APOP), MH and Maildir format.
  - Unified access method to messages based on Mew-like Folder Specification.
  - Mew-like Key-bind and mark handling.
  - Manages unread messages.
  - Interactive thread display.
  - Folder Mode shows the list of subscribed folders.
  - Message Cache, Disconnected Operation.
  - MH-like FCC. (Fcc: %Backup and Fcc: $Backup is allowed).
  - MIME compliant (by SEMI).
  - Transmission of news and mail are unified by Message transmitting draft.
  - Graphical list of folders.
  - View a part of message without retrieving the whole message (IMAP4).
  - Server-side message look up (IMAP4). Multi-byte characters are allowed.
  - Virtual Folders.
  - Supports compressed folder using common archiving utilities.
  - Old articles in folders are automatically removed/archived (Expiration).
  - Automatic re-file.
  - Template function makes it convenient to send fixed form messages.
 .
 This package provides a development snapshot version of Wanderlust.

## wl-beta 2.15.9+0.20100525

=== debian/control ===
--- 
+++ 
@@ -1,20 +1,16 @@
 Source: wl-beta
 Section: lisp
-Priority: optional
+Priority: extra
 Maintainer: Tatsuya Kinoshita <tats@debian.org>
-Build-Depends: debhelper-compat (= 13)
-Build-Depends-Indep: texinfo
-Standards-Version: 4.6.0
-Vcs-Browser: https://salsa.debian.org/debian/wl-beta
-Vcs-Git: https://salsa.debian.org/debian/wl-beta.git
-Homepage: https://github.com/wanderlust/wanderlust
-Rules-Requires-Root: no
+Build-Depends: debhelper (>= 7)
+Build-Depends-Indep: emacs, apel (>= 10.7), flim, semi
+Standards-Version: 3.8.4
+Homepage: http://www.gohome.org/wl/
 
 Package: wl-beta
 Architecture: all
-Depends: emacsen-common (>= 2.0.8), emacs-nox | emacs | emacs25 | emacs24 | emacs-snapshot, semi (>= 1.14.6+0.20100125), flim (>= 1:1.14.6), apel (>= 10.7), dpkg (>= 1.15.4) | install-info, ${misc:Depends}
-Recommends: ca-certificates
-Suggests: gnupg, gnutls-bin, openssl, starttls, x-face-el, w3m-el, bbdb, im, namazu2, maildir-utils, notmuch, bogofilter | bsfilter | spamassassin, mu-cite, mhc
+Depends: emacs | emacsen, semi (>= 1.14.6+0.20100125), flim (>= 1:1.14.6), apel (>= 10.7), dpkg (>= 1.15.4) | install-info, ${misc:Depends}
+Suggests: gnupg, easypg, gnutls-bin, openssl, starttls, x-face-el, w3m-el, mule-ucs, bbdb, im, bitmap-mule, namazu2, bogofilter | bsfilter | spamassassin, mu-cite, mhc
 Replaces: wl, wanderlust2
 Conflicts: wl, wanderlust2, xbase (<< 3.3.2.3a-2)
 Provides: wl, imap-client, mail-reader, news-reader
@@ -45,3 +41,5 @@
   - Template function makes it convenient to send fixed form messages.
  .
  This package provides a development snapshot version of Wanderlust.
+ To use a stable version of Wanderlust, install the wl package instead
+ of this package.

## wl-beta 2.15.9+0.20100801

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: extra
 Maintainer: Tatsuya Kinoshita <tats@debian.org>
 Build-Depends: debhelper (>= 7)
-Build-Depends-Indep: emacs, apel (>= 10.7), flim, semi
-Standards-Version: 3.8.4
+Build-Depends-Indep: emacs | emacs23 | emacs22, apel (>= 10.7), flim, semi
+Standards-Version: 3.9.1
 Homepage: http://www.gohome.org/wl/
 
 Package: wl-beta

=== debian/rules ===
#! /usr/bin/make -f

#export DH_VERBOSE=1

PACKAGE=`cat debian/PACKAGE`
PKGSNAME=wl
EMACS=emacs

pre-build: pre-build-stamp
pre-build-stamp:
	dh_testdir
	grep '^Package: ' debian/control | head -1 | sed -e "s/^Package: //" > debian/PACKAGE

	sed -e "s/@PACKAGE@/$(PACKAGE)/g" debian/README.Debian.in > debian/README.Debian
	sed -e "s/@PACKAGE@/$(PACKAGE)/g" debian/dirs.in > debian/dirs
	sed -e "s/@PACKAGE@/$(PACKAGE)/g" debian/emacsen-install.in > debian/emacsen-install
	sed -e "s/@PACKAGE@/$(PACKAGE)/g" debian/emacsen-remove.in > debian/emacsen-remove
	sed -e "s/@PACKAGE@/$(PACKAGE)/g" debian/emacsen-startup.in > debian/emacsen-startup
	sed -e "s/@PACKAGE@/$(PACKAGE)/g" debian/preinst.in > debian/preinst
	touch $@

build: pre-build build-stamp
build-stamp:
	dh_testdir
	$(EMACS) -q -no-site-file -batch -eval '(progn (set-language-environment "Japanese")'"(prefer-coding-system 'iso-2022-jp))" -l WL-MK -eval '(wl-texinfo-format)'
	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp pre-build-stamp
	rm -f doc/*.info debian/PACKAGE debian/README.Debian debian/dirs debian/emacsen-install debian/emacsen-remove debian/emacsen-startup debian/preinst
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	cp -r WL-* NEWS* wl elmo utils debian/$(PACKAGE)/usr/share/emacs/site-lisp/$(PKGSNAME)/
	cp -r etc/icons/* debian/$(PACKAGE)/usr/share/pixmaps/$(PKGSNAME)/
	cp etc/ja.Emacs debian/$(PACKAGE)/etc/X11/Xresources/wanderlust.ja
	mv debian/$(PACKAGE)/usr/share/emacs/site-lisp/$(PKGSNAME)/wl/ChangeLog debian/$(PACKAGE)/usr/share/doc/$(PACKAGE)/changelog.wl
	mv debian/$(PACKAGE)/usr/share/emacs/site-lisp/$(PKGSNAME)/elmo/ChangeLog debian/$(PACKAGE)/usr/share/doc/$(PACKAGE)/changelog.elmo
	mv debian/$(PACKAGE)/usr/share/emacs/site-lisp/$(PKGSNAME)/utils/ChangeLog debian/$(PACKAGE)/usr/share/doc/$(PACKAGE)/changelog.utils

binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installexamples samples/*
	dh_installemacsen --priority 65
	dh_installinfo
	dh_installchangelogs ChangeLog
	dh_link usr/share/pixmaps/$(PKGSNAME) usr/share/emacs/site-lisp/$(PKGSNAME)/etc/icons
	dh_link usr/share/emacs/site-lisp/$(PKGSNAME)/NEWS /usr/share/doc/$(PACKAGE)/NEWS
	dh_link usr/share/emacs/site-lisp/$(PKGSNAME)/NEWS.ja /usr/share/doc/$(PACKAGE)/NEWS.ja
	find debian/$(PACKAGE) -name CVS -prune -exec rm -rf {} \;
	find debian/$(PACKAGE) -name .cvsignore -prune -exec rm -rf {} \;

	dh_compress
	dh_fixperms
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary-arch: build install

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

=== debian/watch ===
version=3
http://www.jpl.org/elips/wl/wl-([0-9]+\..*)\.tar\.gz debian uupdate

## wl-beta 2.15.9+0.20120101

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Tatsuya Kinoshita <tats@debian.org>
 Build-Depends: debhelper (>= 7)
 Build-Depends-Indep: emacs | emacs23 | emacs22, apel (>= 10.7), flim, semi
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 Homepage: http://www.gohome.org/wl/
 
 Package: wl-beta

## wl-beta 2.15.9+0.20120411

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Tatsuya Kinoshita <tats@debian.org>
 Build-Depends: debhelper (>= 7)
 Build-Depends-Indep: emacs | emacs23 | emacs22, apel (>= 10.7), flim, semi
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: http://www.gohome.org/wl/
 
 Package: wl-beta
@@ -41,5 +41,3 @@
   - Template function makes it convenient to send fixed form messages.
  .
  This package provides a development snapshot version of Wanderlust.
- To use a stable version of Wanderlust, install the wl package instead
- of this package.

=== debian/rules ===
--- 
+++ 
@@ -19,20 +19,24 @@
 	sed -e "s/@PACKAGE@/$(PACKAGE)/g" debian/preinst.in > debian/preinst
 	touch $@
 
-build: pre-build build-stamp
-build-stamp:
+build-indep: pre-build build-indep-stamp
+build-indep-stamp:
 	dh_testdir
 	$(EMACS) -q -no-site-file -batch -eval '(progn (set-language-environment "Japanese")'"(prefer-coding-system 'iso-2022-jp))" -l WL-MK -eval '(wl-texinfo-format)'
 	touch $@
 
+build-arch:
+
+build: build-indep build-arch
+
 clean:
 	dh_testdir
 	dh_testroot
-	rm -f build-stamp pre-build-stamp
+	rm -f *build*-stamp
 	rm -f doc/*.info debian/PACKAGE debian/README.Debian debian/dirs debian/emacsen-install debian/emacsen-remove debian/emacsen-startup debian/preinst
 	dh_clean
 
-install: build
+install: build-indep
 	dh_testdir
 	dh_testroot
 	dh_prep
@@ -45,7 +49,7 @@
 	mv debian/$(PACKAGE)/usr/share/emacs/site-lisp/$(PKGSNAME)/elmo/ChangeLog debian/$(PACKAGE)/usr/share/doc/$(PACKAGE)/changelog.elmo
 	mv debian/$(PACKAGE)/usr/share/emacs/site-lisp/$(PKGSNAME)/utils/ChangeLog debian/$(PACKAGE)/usr/share/doc/$(PACKAGE)/changelog.utils
 
-binary-indep: build install
+binary-indep: install
 	dh_testdir
 	dh_testroot
 	dh_installdocs
@@ -66,7 +70,7 @@
 	dh_md5sums
 	dh_builddeb
 
-binary-arch: build install
+binary-arch:
 
 binary: binary-indep binary-arch
-.PHONY: build clean binary-indep binary-arch binary install
+.PHONY: build-indep build-arch build clean binary-indep binary-arch binary install

## wl-beta 2.15.9+0.20130701

=== debian/control ===
--- 
+++ 
@@ -3,9 +3,11 @@
 Priority: extra
 Maintainer: Tatsuya Kinoshita <tats@debian.org>
 Build-Depends: debhelper (>= 7)
-Build-Depends-Indep: emacs | emacs23 | emacs22, apel (>= 10.7), flim, semi
-Standards-Version: 3.9.3
-Homepage: http://www.gohome.org/wl/
+Build-Depends-Indep: emacs | emacs24 | emacs23 | emacs22, apel (>= 10.7), flim, semi
+Standards-Version: 3.9.5
+Vcs-Git: git://anonscm.debian.org/collab-maint/wl-beta.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/wl-beta.git
+Homepage: https://github.com/wanderlust/wanderlust
 
 Package: wl-beta
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -16,7 +16,6 @@
 	sed -e "s/@PACKAGE@/$(PACKAGE)/g" debian/emacsen-install.in > debian/emacsen-install
 	sed -e "s/@PACKAGE@/$(PACKAGE)/g" debian/emacsen-remove.in > debian/emacsen-remove
 	sed -e "s/@PACKAGE@/$(PACKAGE)/g" debian/emacsen-startup.in > debian/emacsen-startup
-	sed -e "s/@PACKAGE@/$(PACKAGE)/g" debian/preinst.in > debian/preinst
 	touch $@
 
 build-indep: pre-build build-indep-stamp
@@ -33,7 +32,7 @@
 	dh_testdir
 	dh_testroot
 	rm -f *build*-stamp
-	rm -f doc/*.info debian/PACKAGE debian/README.Debian debian/dirs debian/emacsen-install debian/emacsen-remove debian/emacsen-startup debian/preinst
+	rm -f doc/*.info debian/PACKAGE debian/README.Debian debian/dirs debian/emacsen-install debian/emacsen-remove debian/emacsen-startup
 	dh_clean
 
 install: build-indep

## wl-beta 2.15.9+0.20140709

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
 
 Package: wl-beta
 Architecture: all
-Depends: emacs | emacsen, semi (>= 1.14.6+0.20100125), flim (>= 1:1.14.6), apel (>= 10.7), dpkg (>= 1.15.4) | install-info, ${misc:Depends}
+Depends: emacsen-common (>= 2.0.8), emacs | emacsen, semi (>= 1.14.6+0.20100125), flim (>= 1:1.14.6), apel (>= 10.7), dpkg (>= 1.15.4) | install-info, ${misc:Depends}
 Suggests: gnupg, easypg, gnutls-bin, openssl, starttls, x-face-el, w3m-el, mule-ucs, bbdb, im, bitmap-mule, namazu2, bogofilter | bsfilter | spamassassin, mu-cite, mhc
 Replaces: wl, wanderlust2
 Conflicts: wl, wanderlust2, xbase (<< 3.3.2.3a-2)

## wl-beta 2.15.9+0.20141019

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Tatsuya Kinoshita <tats@debian.org>
 Build-Depends: debhelper (>= 7)
 Build-Depends-Indep: emacs | emacs24 | emacs23 | emacs22, apel (>= 10.7), flim, semi
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Vcs-Git: git://anonscm.debian.org/collab-maint/wl-beta.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/wl-beta.git
 Homepage: https://github.com/wanderlust/wanderlust
@@ -12,7 +12,7 @@
 Package: wl-beta
 Architecture: all
 Depends: emacsen-common (>= 2.0.8), emacs | emacsen, semi (>= 1.14.6+0.20100125), flim (>= 1:1.14.6), apel (>= 10.7), dpkg (>= 1.15.4) | install-info, ${misc:Depends}
-Suggests: gnupg, easypg, gnutls-bin, openssl, starttls, x-face-el, w3m-el, mule-ucs, bbdb, im, bitmap-mule, namazu2, bogofilter | bsfilter | spamassassin, mu-cite, mhc
+Suggests: gnupg, easypg, gnutls-bin, openssl, starttls, x-face-el, w3m-el, mule-ucs, bbdb, im, bitmap-mule, namazu2, maildir-utils, notmuch, bogofilter | bsfilter | spamassassin, mu-cite, mhc
 Replaces: wl, wanderlust2
 Conflicts: wl, wanderlust2, xbase (<< 3.3.2.3a-2)
 Provides: wl, imap-client, mail-reader, news-reader

## wl-beta 2.15.9+0.20150725

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Build-Depends-Indep: emacs | emacs24 | emacs23 | emacs22, apel (>= 10.7), flim, semi
 Standards-Version: 3.9.6
 Vcs-Git: git://anonscm.debian.org/collab-maint/wl-beta.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/wl-beta.git
+Vcs-Browser: http://anonscm.debian.org/cgit/collab-maint/wl-beta.git
 Homepage: https://github.com/wanderlust/wanderlust
 
 Package: wl-beta

## wl-beta 2.15.9+0.20151119

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Build-Depends-Indep: emacs | emacs24 | emacs23 | emacs22, apel (>= 10.7), flim, semi
 Standards-Version: 3.9.6
 Vcs-Git: git://anonscm.debian.org/collab-maint/wl-beta.git
-Vcs-Browser: http://anonscm.debian.org/cgit/collab-maint/wl-beta.git
+Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/wl-beta.git
 Homepage: https://github.com/wanderlust/wanderlust
 
 Package: wl-beta

## wl-beta 2.15.9+0.20160430

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Tatsuya Kinoshita <tats@debian.org>
 Build-Depends: debhelper (>= 7)
 Build-Depends-Indep: emacs | emacs24 | emacs23 | emacs22, apel (>= 10.7), flim, semi
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Vcs-Git: git://anonscm.debian.org/collab-maint/wl-beta.git
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/wl-beta.git
 Homepage: https://github.com/wanderlust/wanderlust

## wl-beta 2.15.9+0.20161228

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: lisp
 Priority: extra
 Maintainer: Tatsuya Kinoshita <tats@debian.org>
-Build-Depends: debhelper (>= 7)
-Build-Depends-Indep: emacs | emacs24 | emacs23 | emacs22, apel (>= 10.7), flim, semi
+Build-Depends: debhelper (>= 9)
+Build-Depends-Indep: emacs-nox | emacs | emacs25 | emacs24 | emacs23 | emacs22, apel (>= 10.7), flim, semi
 Standards-Version: 3.9.8
 Vcs-Git: git://anonscm.debian.org/collab-maint/wl-beta.git
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/wl-beta.git
@@ -11,7 +11,7 @@
 
 Package: wl-beta
 Architecture: all
-Depends: emacsen-common (>= 2.0.8), emacs | emacsen, semi (>= 1.14.6+0.20100125), flim (>= 1:1.14.6), apel (>= 10.7), dpkg (>= 1.15.4) | install-info, ${misc:Depends}
+Depends: emacsen-common (>= 2.0.8), emacs-nox | emacs | emacsen, semi (>= 1.14.6+0.20100125), flim (>= 1:1.14.6), apel (>= 10.7), dpkg (>= 1.15.4) | install-info, ${misc:Depends}
 Suggests: gnupg, easypg, gnutls-bin, openssl, starttls, x-face-el, w3m-el, mule-ucs, bbdb, im, bitmap-mule, namazu2, maildir-utils, notmuch, bogofilter | bsfilter | spamassassin, mu-cite, mhc
 Replaces: wl, wanderlust2
 Conflicts: wl, wanderlust2, xbase (<< 3.3.2.3a-2)

## wl-beta 2.15.9+0.20171209

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,11 @@
 Source: wl-beta
 Section: lisp
-Priority: extra
+Priority: optional
 Maintainer: Tatsuya Kinoshita <tats@debian.org>
-Build-Depends: debhelper (>= 9)
+Build-Depends: debhelper (>= 10)
 Build-Depends-Indep: emacs-nox | emacs | emacs25 | emacs24 | emacs23 | emacs22, apel (>= 10.7), flim, semi
-Standards-Version: 3.9.8
-Vcs-Git: git://anonscm.debian.org/collab-maint/wl-beta.git
+Standards-Version: 4.1.3
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/wl-beta.git
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/wl-beta.git
 Homepage: https://github.com/wanderlust/wanderlust

## wl-beta 2.15.9+0.20180605

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,11 @@
 Section: lisp
 Priority: optional
 Maintainer: Tatsuya Kinoshita <tats@debian.org>
-Build-Depends: debhelper (>= 10)
+Build-Depends: debhelper (>= 11)
 Build-Depends-Indep: emacs-nox | emacs | emacs25 | emacs24 | emacs23 | emacs22, apel (>= 10.7), flim, semi
-Standards-Version: 4.1.3
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/wl-beta.git
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/wl-beta.git
+Standards-Version: 4.2.0
+Vcs-Browser: https://salsa.debian.org/debian/wl-beta
+Vcs-Git: https://salsa.debian.org/debian/wl-beta.git
 Homepage: https://github.com/wanderlust/wanderlust
 
 Package: wl-beta

## wl-beta 2.15.9+0.20190205

=== debian/changelog ===
wl-beta (2.15.9+0.20190205-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * rebuild for mstrict-align

 -- root <root@loongson-pc>  Fri, 28 Jan 2022 20:20:53 +0800

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,9 @@
 Section: lisp
 Priority: optional
 Maintainer: Tatsuya Kinoshita <tats@debian.org>
-Build-Depends: debhelper (>= 11)
+Build-Depends: debhelper-compat (= 11)
 Build-Depends-Indep: emacs-nox | emacs | emacs25 | emacs24 | emacs23 | emacs22, apel (>= 10.7), flim, semi
-Standards-Version: 4.2.0
+Standards-Version: 4.3.0
 Vcs-Browser: https://salsa.debian.org/debian/wl-beta
 Vcs-Git: https://salsa.debian.org/debian/wl-beta.git
 Homepage: https://github.com/wanderlust/wanderlust

## wl-beta 2.15.9+0.20190919

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,9 @@
 Section: lisp
 Priority: optional
 Maintainer: Tatsuya Kinoshita <tats@debian.org>
-Build-Depends: debhelper-compat (= 11)
+Build-Depends: debhelper-compat (= 12)
 Build-Depends-Indep: emacs-nox | emacs | emacs25 | emacs24 | emacs23 | emacs22, apel (>= 10.7), flim, semi
-Standards-Version: 4.3.0
+Standards-Version: 4.4.0
 Vcs-Browser: https://salsa.debian.org/debian/wl-beta
 Vcs-Git: https://salsa.debian.org/debian/wl-beta.git
 Homepage: https://github.com/wanderlust/wanderlust

=== debian/rules ===
--- 
+++ 
@@ -5,6 +5,10 @@
 PACKAGE=`cat debian/PACKAGE`
 PKGSNAME=wl
 EMACS=emacs
+
+get-orig-source:
+	wget -O upstream.tar.gz https://github.com/wanderlust/wanderlust/tarball/master
+	mv -f upstream.tar.gz `LC_ALL=C tar ztvf upstream.tar.gz --utc | perl -ne 'if (/ (\d\d\d\d)-(\d\d)-(\d\d) /) {print "wl-beta_2.15.9+0.$$1$$2$$3.orig.tar.gz\n"; exit}'`
 
 pre-build: pre-build-stamp
 pre-build-stamp:
@@ -41,12 +45,12 @@
 	dh_prep
 	dh_installdirs
 
-	cp -r WL-* NEWS* wl elmo utils debian/$(PACKAGE)/usr/share/emacs/site-lisp/$(PKGSNAME)/
+	cp -r WL-* NEWS* wl elmo utils debian/$(PACKAGE)/usr/share/$(PKGSNAME)/
 	cp -r etc/icons/* debian/$(PACKAGE)/usr/share/pixmaps/$(PKGSNAME)/
 	cp etc/ja.Emacs debian/$(PACKAGE)/etc/X11/Xresources/wanderlust.ja
-	mv debian/$(PACKAGE)/usr/share/emacs/site-lisp/$(PKGSNAME)/wl/ChangeLog debian/$(PACKAGE)/usr/share/doc/$(PACKAGE)/changelog.wl
-	mv debian/$(PACKAGE)/usr/share/emacs/site-lisp/$(PKGSNAME)/elmo/ChangeLog debian/$(PACKAGE)/usr/share/doc/$(PACKAGE)/changelog.elmo
-	mv debian/$(PACKAGE)/usr/share/emacs/site-lisp/$(PKGSNAME)/utils/ChangeLog debian/$(PACKAGE)/usr/share/doc/$(PACKAGE)/changelog.utils
+	mv debian/$(PACKAGE)/usr/share/$(PKGSNAME)/wl/ChangeLog debian/$(PACKAGE)/usr/share/doc/$(PACKAGE)/changelog.wl
+	mv debian/$(PACKAGE)/usr/share/$(PKGSNAME)/elmo/ChangeLog debian/$(PACKAGE)/usr/share/doc/$(PACKAGE)/changelog.elmo
+	mv debian/$(PACKAGE)/usr/share/$(PKGSNAME)/utils/ChangeLog debian/$(PACKAGE)/usr/share/doc/$(PACKAGE)/changelog.utils
 
 binary-indep: install
 	dh_testdir
@@ -56,9 +60,9 @@
 	dh_installemacsen --priority 65
 	dh_installinfo
 	dh_installchangelogs ChangeLog
-	dh_link usr/share/pixmaps/$(PKGSNAME) usr/share/emacs/site-lisp/$(PKGSNAME)/etc/icons
-	dh_link usr/share/emacs/site-lisp/$(PKGSNAME)/NEWS /usr/share/doc/$(PACKAGE)/NEWS
-	dh_link usr/share/emacs/site-lisp/$(PKGSNAME)/NEWS.ja /usr/share/doc/$(PACKAGE)/NEWS.ja
+	dh_link usr/share/pixmaps/$(PKGSNAME) usr/share/$(PKGSNAME)/etc/icons
+	dh_link usr/share/$(PKGSNAME)/NEWS /usr/share/doc/$(PACKAGE)/NEWS
+	dh_link usr/share/$(PKGSNAME)/NEWS.ja /usr/share/doc/$(PACKAGE)/NEWS.ja
 	find debian/$(PACKAGE) -name CVS -prune -exec rm -rf {} \;
 	find debian/$(PACKAGE) -name .cvsignore -prune -exec rm -rf {} \;

=== debian/watch ===
version=3
opts="uversionmangle=s/_/./g;s/rc/~rc/;s/pre/~pre/" \
https://github.com/wanderlust/wanderlust/tags .*/wl-(\d.*)\.tar\.gz

## wl-beta 2.15.9+0.20200822

=== debian/changelog ===
wl-beta (2.15.9+0.20200822-1) unstable; urgency=medium

  * New upstream version 2.15.9+0.20200822
  * Add debian/upstream/metadata
  * Update debian/watch to use mode=git
  * Update debhelper-compat to 13
  * Drop 030_epg-config.patch
  * Update debian/copyright
  * Drop emacs23, emacs22 and xemacs21
  * No longer recompile mhc
  * Prefer utf-8 instead of iso-2022-jp for Texinfo files
  * No longer handle CVS stuff

 -- Tatsuya Kinoshita <tats@debian.org>  Mon, 24 Aug 2020 22:42:53 +0900

wl-beta (2.15.9+0.20200311-1) unstable; urgency=medium

  * New upstream version 2.15.9+0.20200311
  * Update configration for GnuTLS and NSM
  * Add ca-certificates to Recommends
  * Add Rules-Requires-Root: no
  * Update debian/copyright
  * Update Standards-Version to 4.5.0

 -- Tatsuya Kinoshita <tats@debian.org>  Thu, 12 Mar 2020 19:58:07 +0900

=== debian/control ===
--- 
+++ 
@@ -2,16 +2,18 @@
 Section: lisp
 Priority: optional
 Maintainer: Tatsuya Kinoshita <tats@debian.org>
-Build-Depends: debhelper-compat (= 12)
-Build-Depends-Indep: emacs-nox | emacs | emacs25 | emacs24 | emacs23 | emacs22, apel (>= 10.7), flim, semi
-Standards-Version: 4.4.0
+Build-Depends: debhelper-compat (= 13)
+Build-Depends-Indep: emacs-nox | emacs | emacs25 | emacs24, apel (>= 10.7), flim, semi
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/debian/wl-beta
 Vcs-Git: https://salsa.debian.org/debian/wl-beta.git
 Homepage: https://github.com/wanderlust/wanderlust
+Rules-Requires-Root: no
 
 Package: wl-beta
 Architecture: all
-Depends: emacsen-common (>= 2.0.8), emacs-nox | emacs | emacsen, semi (>= 1.14.6+0.20100125), flim (>= 1:1.14.6), apel (>= 10.7), dpkg (>= 1.15.4) | install-info, ${misc:Depends}
+Depends: emacsen-common (>= 2.0.8), emacs-nox | emacs | emacs25 | emacs24 | emacs-snapshot, semi (>= 1.14.6+0.20100125), flim (>= 1:1.14.6), apel (>= 10.7), dpkg (>= 1.15.4) | install-info, ${misc:Depends}
+Recommends: ca-certificates
 Suggests: gnupg, easypg, gnutls-bin, openssl, starttls, x-face-el, w3m-el, mule-ucs, bbdb, im, bitmap-mule, namazu2, maildir-utils, notmuch, bogofilter | bsfilter | spamassassin, mu-cite, mhc
 Replaces: wl, wanderlust2
 Conflicts: wl, wanderlust2, xbase (<< 3.3.2.3a-2)

=== debian/rules ===
--- 
+++ 
@@ -25,7 +25,7 @@
 build-indep: pre-build build-indep-stamp
 build-indep-stamp:
 	dh_testdir
-	$(EMACS) -q -no-site-file -batch -eval '(progn (set-language-environment "Japanese")'"(prefer-coding-system 'iso-2022-jp))" -l WL-MK -eval '(wl-texinfo-format)'
+	$(EMACS) -q -no-site-file -batch -eval '(progn (set-language-environment "Japanese")'"(prefer-coding-system 'utf-8))" -l WL-MK -eval '(wl-texinfo-format)'
 	touch $@
 
 build-arch:
@@ -63,8 +63,6 @@
 	dh_link usr/share/pixmaps/$(PKGSNAME) usr/share/$(PKGSNAME)/etc/icons
 	dh_link usr/share/$(PKGSNAME)/NEWS /usr/share/doc/$(PACKAGE)/NEWS
 	dh_link usr/share/$(PKGSNAME)/NEWS.ja /usr/share/doc/$(PACKAGE)/NEWS.ja
-	find debian/$(PACKAGE) -name CVS -prune -exec rm -rf {} \;
-	find debian/$(PACKAGE) -name .cvsignore -prune -exec rm -rf {} \;
 
 	dh_compress
 	dh_fixperms

## wl-beta 2.15.9+0.20210131

=== debian/changelog ===
wl-beta (2.15.9+0.20210131-2) unstable; urgency=medium

  * Update Info handling to use makeinfo
  * Update debian/upstream/metadata to use https
  * Update dot.wl-highlight-subdued.el

 -- Tatsuya Kinoshita <tats@debian.org>  Sat, 06 Feb 2021 20:55:40 +0900

wl-beta (2.15.9+0.20210131-1) unstable; urgency=medium

  * New upstream version 2.15.9+0.20210131
  * Install samples/en/* files into examples directly
  * Add dot.wl-highlight-subdued.el to examples
  * Update debian/copyright

 -- Tatsuya Kinoshita <tats@debian.org>  Mon, 01 Feb 2021 20:15:42 +0900

wl-beta (2.15.9+0.20210105-1) unstable; urgency=medium

  * New upstream version 2.15.9+0.20210105
  * Drop debian/patches
  * Add sample configuration for SSL/TLS to README.Debian
  * Add gnutls-bin to Suggests

 -- Tatsuya Kinoshita <tats@debian.org>  Sat, 23 Jan 2021 19:26:21 +0900

wl-beta (2.15.9+0.20201128-2) unstable; urgency=medium

  * New patch 010_elmo-date.patch to fix incorrect elmo-date-get-week
  * Update debian/copyright

 -- Tatsuya Kinoshita <tats@debian.org>  Sun, 03 Jan 2021 18:48:31 +0900

wl-beta (2.15.9+0.20201128-1) unstable; urgency=medium

  * New upstream version 2.15.9+0.20201128
  * Don't install ChangeLog.1 files
  * Update README.Debian for built-in GnuTLS and NSM
  * Remove unneeded configuration for SSL/TLS
  * Remove unneeded configuration for elmo-archive with GNU tar
  * Update Standards-Version to 4.5.1

 -- Tatsuya Kinoshita <tats@debian.org>  Sat, 26 Dec 2020 15:49:12 +0900

wl-beta (2.15.9+0.20201115-1) unstable; urgency=medium

  * New upstream version 2.15.9+0.20201115
    - Fix dynamically bound variables fail in lexical binding at compile time
  * Don't use obsolete wl-cs-local in Texinfo handling
  * Remove easypg, gnutls-bin, mule-ucs from Suggests
  * Don't set wl-auto-save-drafts-interval to nil in emacsen-startup
    (The default value is now 300)

 -- Tatsuya Kinoshita <tats@debian.org>  Sun, 15 Nov 2020 20:47:32 +0900

wl-beta (2.15.9+0.20201103-1) unstable; urgency=medium

  * New upstream version 2.15.9+0.20201103
  * Add NEWS.Debian to mention lexical binding
  * Update README.Debian to mention NSM
  * Drop 020_ssl-cert-info.patch
  * Update emacsen-startup for ssl-certificate-information
  * Remove unneeded configuration from emacsen-startup
  * Don't install obsolete ChangeLog files
  * Remove bitmap-mule from Suggests
  * Set wl-cs-local for Texinfo files

 -- Tatsuya Kinoshita <tats@debian.org>  Fri, 06 Nov 2020 23:20:18 +0900

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: optional
 Maintainer: Tatsuya Kinoshita <tats@debian.org>
 Build-Depends: debhelper-compat (= 13)
-Build-Depends-Indep: emacs-nox | emacs | emacs25 | emacs24, apel (>= 10.7), flim, semi
-Standards-Version: 4.5.0
+Build-Depends-Indep: texinfo
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/debian/wl-beta
 Vcs-Git: https://salsa.debian.org/debian/wl-beta.git
 Homepage: https://github.com/wanderlust/wanderlust
@@ -14,7 +14,7 @@
 Architecture: all
 Depends: emacsen-common (>= 2.0.8), emacs-nox | emacs | emacs25 | emacs24 | emacs-snapshot, semi (>= 1.14.6+0.20100125), flim (>= 1:1.14.6), apel (>= 10.7), dpkg (>= 1.15.4) | install-info, ${misc:Depends}
 Recommends: ca-certificates
-Suggests: gnupg, easypg, gnutls-bin, openssl, starttls, x-face-el, w3m-el, mule-ucs, bbdb, im, bitmap-mule, namazu2, maildir-utils, notmuch, bogofilter | bsfilter | spamassassin, mu-cite, mhc
+Suggests: gnupg, gnutls-bin, openssl, starttls, x-face-el, w3m-el, bbdb, im, namazu2, maildir-utils, notmuch, bogofilter | bsfilter | spamassassin, mu-cite, mhc
 Replaces: wl, wanderlust2
 Conflicts: wl, wanderlust2, xbase (<< 3.3.2.3a-2)
 Provides: wl, imap-client, mail-reader, news-reader
